function init()
	trigger = FindTrigger("makehostile")
	robot = FindBody("body")
	done = false
end

function tick(dt)
	if not done and GetBool("level.espionagealarm") then
		if IsPointInTrigger(trigger, GetPlayerEyeTransform().pos) then
			SetTag(robot, "turnhostile")
			done = true
		end
	end
end
